biterp

Listar transacoes financeiras

GET
/financial-transactions
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.

limit?integer

Page size from CursorPaginationDto.limit.

Default20
Range1 <= value <= 100
search?string

Full-text search term from CursorPaginationDto.search.

with_deleted?boolean

Include soft-deleted records from CursorPaginationDto.with_deleted.

Defaultfalse
include_payload_search?boolean

Include payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.

Defaultfalse
sort?string

Sort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).

account_id?string

Exact match for "account_id" (UUID)

Formatuuid
account_id[neq]?string

Not equal filter for "account_id" (UUID)

Formatuuid
source?string

Exact match for "source" (string)

source[neq]?string

Not equal filter for "source" (string)

source[contains]?string

Contains filter for "source"

source[not_contains]?string

Does not contain filter for "source"

trn_type?string

Exact match for "trn_type" (string)

trn_type[neq]?string

Not equal filter for "trn_type" (string)

trn_type[contains]?string

Contains filter for "trn_type"

trn_type[not_contains]?string

Does not contain filter for "trn_type"

posted_at?string

Exact match for "posted_at" (ISO 8601 date (YYYY-MM-DD))

posted_at[neq]?string

Not equal filter for "posted_at" (ISO 8601 date (YYYY-MM-DD))

posted_at[gt]?string

Greater than filter for "posted_at" (ISO 8601 date (YYYY-MM-DD))

posted_at[gte]?string

Greater than or equal filter for "posted_at" (ISO 8601 date (YYYY-MM-DD))

posted_at[lt]?string

Less than filter for "posted_at" (ISO 8601 date (YYYY-MM-DD))

posted_at[lte]?string

Less than or equal filter for "posted_at" (ISO 8601 date (YYYY-MM-DD))

amount?number

Exact match for "amount" (number)

amount[neq]?number

Not equal filter for "amount" (number)

amount[gt]?number

Greater than filter for "amount" (number)

amount[gte]?number

Greater than or equal filter for "amount" (number)

amount[lt]?number

Less than filter for "amount" (number)

amount[lte]?number

Less than or equal filter for "amount" (number)

is_reconciled?boolean

Exact match for "is_reconciled" (boolean)

is_reconciled[neq]?boolean

Not equal filter for "is_reconciled" (boolean)

name?string

Exact match for "name" (string)

name[neq]?string

Not equal filter for "name" (string)

name[contains]?string

Contains filter for "name"

name[not_contains]?string

Does not contain filter for "name"

ignored_at?|

Exact match for "ignored_at" (ISO 8601 datetime)

ignored_at[neq]?|

Not equal filter for "ignored_at" (ISO 8601 datetime)

ignored_at[gt]?|

Greater than filter for "ignored_at" (ISO 8601 datetime)

ignored_at[gte]?|

Greater than or equal filter for "ignored_at" (ISO 8601 datetime)

ignored_at[lt]?|

Less than filter for "ignored_at" (ISO 8601 datetime)

ignored_at[lte]?|

Less than or equal filter for "ignored_at" (ISO 8601 datetime)

created_at?string

Exact match for "created_at" (ISO 8601 datetime)

created_at[neq]?string

Not equal filter for "created_at" (ISO 8601 datetime)

created_at[gt]?string

Greater than filter for "created_at" (ISO 8601 datetime)

created_at[gte]?string

Greater than or equal filter for "created_at" (ISO 8601 datetime)

created_at[lt]?string

Less than filter for "created_at" (ISO 8601 datetime)

created_at[lte]?string

Less than or equal filter for "created_at" (ISO 8601 datetime)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/financial-transactions"
{
  "data": [
    {
      "id": "string",
      "account_id": "string",
      "transfer_id": "string",
      "source": "manual",
      "fitid": "string",
      "trn_type": "string",
      "posted_at": "2019-08-24T14:15:22Z",
      "user_initiated_at": "2019-08-24T14:15:22Z",
      "amount": "-1500.000000",
      "orig_currency_code": "string",
      "orig_amount": "-1500.000000",
      "name": "string",
      "extd_name": "string",
      "memo": "string",
      "refnum": "string",
      "checknum": "string",
      "srvrtid": "string",
      "correct_fitid": "string",
      "correct_action": "REPLACE",
      "is_reconciled": true,
      "reconciled_at": "2019-08-24T14:15:22Z",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 0,
    "has_next_page": true,
    "has_previous_page": true,
    "current_query_cursor": "string",
    "current_page_cursor": "string",
    "next_cursor": "string",
    "previous_cursor": "string"
  },
  "meta": {
    "filters": {},
    "search": "string",
    "sort": {
      "field": "string",
      "order": "asc"
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}